> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/dictionary/get_currency_list_information.md).

# Get currency list information

| HTTP method | Endpoint                     |
| ----------- | ---------------------------- |
| **GET**     | **/aff/v1/dict\_currencies** |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field    | Type    | Description                     |
| -------- | ------- | ------------------------------- |
| id       | integer | The unique id for the currency. |
| currency | string  | Currency Type.                  |
| desc     | string  | Currency used in Country.       |
| sign     | string  | Currency symbol.                |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/dict_currencies>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/dict_currencies>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "dict_currency": [
          {
            "id": 1,
            "currency": "USD",
            "desc": "United States, Dollars",
            "sign": "$"
          },
          {
            "id": 2,
            "currency": "EUR",
            "desc": "Euro",
            "sign": "€"
          },
          {
            "id": 3,
            "currency": "AUD",
            "desc": "Australia, Dollars",
            "sign": "$"
          },
          {
            "id": 4,
            "currency": "BRL",
            "desc": "Brazil, Reais",
            "sign": "R$"
          },
          {
            "id": 5,
            "currency": "GBP",
            "desc": "Britain (United Kingdom), Pounds",
            "sign": "£"
          },
          {
            "id": 6,
            "currency": "CAD",
            "desc": "Canada, Dollars",
            "sign": "$"
          },
          {
            "id": 7,
            "currency": "CNY",
            "desc": "China, Yuan Renminbi",
            "sign": "¥"
          },
          {
            "id": 8,
            "currency": "DKK",
            "desc": "Denmark, Kroner",
            "sign": "kr"
          },
          {
            "id": 9,
            "currency": "HKD",
            "desc": "Hong Kong, Dollars",
            "sign": "HK$"
          },
          {
            "id": 10,
            "currency": "HUF",
            "desc": "Hungary, Forint",
            "sign": "Ft"
          },
          {
            "id": 11,
            "currency": "INR",
            "desc": "India, Rupees",
            "sign": "₨"
          },
          {
            "id": 12,
            "currency": "IDR",
            "desc": "Indonesia, Rupiahs",
            "sign": "Rp"
          },
          {
            "id": 13,
            "currency": "ILS",
            "desc": "Israel, New Shekels",
            "sign": "₪"
          },
          {
            "id": 14,
            "currency": "JPY",
            "desc": "Japan, Yen",
            "sign": "¥"
          },
          {
            "id": 15,
            "currency": "MXN",
            "desc": "Mexico, Pesos",
            "sign": "$"
          },
          {
            "id": 16,
            "currency": "RUB",
            "desc": "Russia, Rubles",
            "sign": "руб"
          },
          {
            "id": 17,
            "currency": "CHF",
            "desc": "Switzerland/Liechtenstein, Francs",
            "sign": "CHF"
          },
          {
            "id": 18,
            "currency": "THB",
            "desc": "Thailand, Baht",
            "sign": "฿"
          },
          {
            "id": 19,
            "currency": "UAH",
            "desc": "Ukraine, Hryvnia",
            "sign": "₴"
          },
          {
            "id": 20,
            "currency": "VND",
            "desc": "Vietnam",
            "sign": "₫"
          },
          {
            "id": 21,
            "currency": "TRY",
            "desc": "Turkey",
            "sign": "TL"
          },
          {
            "id": 22,
            "currency": "KRW",
            "desc": "Korea",
            "sign": "₩"
          },
          {
            "id": 23,
            "currency": "EGP",
            "desc": "Egypt",
            "sign": "£"
          },
          {
            "id": 24,
            "currency": "ARS",
            "desc": "Argentina",
            "sign": "$"
          },
          {
            "id": 27,
            "currency": "SGD",
            "desc": "Singapore",
            "sign": "$"
          },
          {
            "id": 28,
            "currency": "PLN",
            "desc": "Poland",
            "sign": "zł"
          }
        ]
      }
    }
```
